Skip to main content
GET
/
events
List events
curl --request GET \
  --url https://api.pulsewave.dev/v1/events \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "evt_1a2b3c",
      "object": "event",
      "created_at": "2023-11-07T05:31:56Z",
      "data": {}
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

All requests must include Authorization: Bearer <api_key>. Keys are prefixed pw_live_ or pw_test_. See Authentication.

Query Parameters

limit
integer<int32>
default:20

Number of results to return, between 1 and 100

Required range: 1 <= x <= 100
starting_after
string

Cursor for pagination. Pass the id of the last object from the previous page.

type
enum<string>

Filter by event type

Available options:
message.sent,
message.delivered,
message.bounced,
message.opened,
message.clicked,
message.complained,
contact.unsubscribed,
domain.verified
message_id
string

Filter to events belonging to a single message

Response

A page of events

object
enum<string>
Available options:
list
data
object[]
has_more
boolean